Subject: Re: [PATCH 05/10] tests: indent and add hook setup to "test_expect_success"

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Mar 2022 13:27:09 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Indent various hook setup code in the test suite that's using a manual
> "cat && chmod" pattern.
>
> These should also consistently use "#!$SHELL_PATH" instead of
> "#!/bin/sh", i.e. "test_script". Let's fix that in a subsequent
> commit, which will be easier to review after this smaller change.

These do move them in the right direction, but I am not sure if a
step-wise "first we do <<- trick to kill unindented mess, and then
another "use write_script" to touch the same places, consuming twice
the reviewer bandwidth.  I certainly would hate to have to see these
lines twice X-<.